Index: drivers/dahdi/dahdi-base.c
===================================================================
--- drivers/dahdi/dahdi-base.c	(revision 5435)
+++ drivers/dahdi/dahdi-base.c	(working copy)
@@ -3019,6 +3019,15 @@
 	}
 
 	switch (digitmode) {
+	case DIGIT_MODE_PULSE:
+		/* We should only get here with a pulse digit if we need
+		 * to "dial" 'W' (wait 0.5 second) 
+		 */
+		if (digit == 'W')
+			return &tone_pause;
+
+		return NULL;
+		/* You should not get here */
 	case DIGIT_MODE_DTMF:
 		switch (digit) {
 		case '0':
